package com.muyu.etl.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.etl.domain.req.DataSourceAddReq;
import com.muyu.etl.domain.req.DataSourceUpdReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/19 19:04
 * @注释
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value = "order_pay_customer",autoResultMap = true)
public class DataSource extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long dataSourceId;
    /**
     *数据源类型 mysql
     */
    private String   databaseType;
    /**
     *数据源名称  127.0.0.1
     */
    private String databaseFormName;
    /**
     *数据来源地址 jdbc:mysql://localhost:3306/dbname?useUnicode=true&serverTimezone=Asia/Shanghai
     */
    private String databaseUrl;
    /**
     *来源地址端口号 3306
     */
    private String databasePost;
    /**
     *数据库名称 cloud-server
     */
    private String databaseName;
    /**
     * 表名称
     */
    private String tableName;
    /**
     *数据库登录名 root
     */
    private String userName;
    /**
     *数据库登录密码 123
     */
    private String userPwd;

    /**
     *数据源状态(1启用,2禁用)
     */
    private String status;

    public static  DataSource addBuild(DataSourceAddReq req){
        return DataSource.builder()
                .databaseFormName(req.getDatabaseFormName())
                .databaseType(req.getDatabaseType())
                .databaseUrl(req.getDatabaseUrl())
                .databasePost(req.getDatabasePost())
                .databaseName(req.getDatabaseName())
                .userName(req.getUserName())
                .userPwd(req.getUserPwd())
                .build();
    }


    public static  DataSource updBuild(Long dataSourceId, DataSourceUpdReq req){
        return DataSource.builder()
                .dataSourceId(dataSourceId)
                .databaseFormName(req.getDatabaseFormName())
                .databaseType(req.getDatabaseType())
                .databaseUrl(req.getDatabaseUrl())
                .databasePost(req.getDatabasePost())
                .databaseName(req.getDatabaseName())
                .userName(req.getUserName())
                .userPwd(req.getUserPwd())
                .build();
    }





















}
