package com.muyu.etl.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/22 17:03
 * @注释
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EtlData {
    /**
     * 字段名称  cloud_id
     */
    private String columnName;
    /**
     * 字段值 1
     */
    private String columnValue;
    /**
     * 字段类型 Long
     */
    private String columnType;
    /**
     * 字段默认长度 19
     */
    private Integer columnSize;
    /**
     * 字段是否为空 ture false
     */
    private Boolean isNullable;
    /**
     * 字段默认值 1
     */
    private String defaultValue;
    /**
     * 字段描述  主键
     */
    private String remarks;
    /**
     * 小数位数 2
     */
    private Integer decimalDigits;
    /**
     * 行号
     */
    private String row;

    public static EtlData setEtlData(String columnName,String columnValue,String columnType,Integer columnSize,Boolean isNullable,String defaultValue,String remarks,Integer decimalDigits,String row) {
        return   EtlData.builder()
                .columnName(columnName)
                .columnValue(columnValue)
                .columnType(columnType)
                .columnSize(columnSize)
                .isNullable(isNullable)
                .defaultValue(defaultValue)
                .remarks(remarks)
                .decimalDigits(decimalDigits)
                .row(row)
                .build();
    }

}
