package com.muyu.etl.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/19 19:14
 * @注释
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "添加数据源信息" ,description = "数据源详细信息的添加")
public class DataSourceReq {
    /**
     * 数据源类型
     */
    @Schema(type = "String",defaultValue = "MySQL",description = "数据信息来源的信息名称")
    private String   databaseType;
    /**
     * 数据源名称
     */
    @Schema(type = "String",defaultValue = "cloud-app",description = "数据源的来源的名称")
    private String databaseFormName;
    /**
     * 数据库名称
     */
    @Schema(type = "String",defaultValue = "cloud-server",description = "数据库名称")
    private String databaseName;

    /**
     * 表名称
     */
    @Schema(type = "String",defaultValue = "t_student",description = "表名称")
    private String tableName;
    /**
     *数据源状态(1启用,2禁用)
     */
    @Schema(type = "Integer",defaultValue = "1",description = "数据源状态(1启用,2禁用)")
    private String status;


}
